# User Mobile App Structure

## App Structure <a href="#app-structure" id="app-structure"></a>

There are Five main folder structures in an Flutter Native app:

**App**: The app has all the files needed for the app and the main structure. The application can be built based on this.

**common**: It has some files which we can reuse in the app.

**pages**:  It has all pages of a project which contains UI, functions, and styling of our app. It also contains some files which we can reuse in the app.

**service**:It contains all the API implementation of the project.

**assets**: It has all icons, background images, and some other images.

**style**: It has a typical style of our whole project, and it also has similar colors which we reuse in the project.

**Note:** If you want more information, please refer to [**Flutter Getting Started**](https://flutter.io/).

### App <a href="#app" id="app"></a>

**main.dart:** It is the main entry point of our app. It defines the basic structure and initial navigation of the app.

![](/files/-MQlYOVDI77fyHsD3AvG)

In our case, we have a side menu. In this file, we have defined which page would be the first, and we also described an option to navigate to the side menu. It also helps in notifying us when the platform is ready.

### Common:  <a href="#common" id="common"></a>

It contains similar files which we are using in our project. In this case, we have defined a constant variable within the app and which also helps to change variable value.

***base\_url:*** '<https://restaurantrestapi.herokuapp.com/>' // you can add your own database URL

### Pages: <a href="#containers" id="containers"></a>

Each page has it’s folder. And within that folder you will find every related files for that page. This includes UI, and it is connected with service page.

Let’s get through the cart page.

### Service: <a href="#containers" id="containers"></a>

Each page has its folder. And within that folder, you will find the related files for that particular page. It contains API.

### Style: <a href="#containers" id="containers"></a>

It contains a similar kind of files which we are using in this project. In our case, we have defined all the colors used within the app, which helps us to change color so that you can play around and try different color schemes.

We also defined a common Text style which are used within the app.&#x20;

```
TextStyle hintStyle() {
  return new TextStyle(
      fontWeight: FontWeight.w400,
      fontSize: 14.0,
      color: Colors.white70,
      letterSpacing: 1.0
  );
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ionicfirebaseapp.com/readymade-restaurant-app/app-structure.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
